aboutsummaryrefslogtreecommitdiffstats
path: root/goinit
diff options
context:
space:
mode:
Diffstat (limited to 'goinit')
-rwxr-xr-xgoinit16
1 files changed, 16 insertions, 0 deletions
diff --git a/goinit b/goinit
new file mode 100755
index 0000000..dc5479c
--- /dev/null
+++ b/goinit
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -eux
+
+if [ -d .osc ] ; then
+ exit 0
+fi
+
+# We actually want to ignore it (for now?)
+echo '/.osc/' >>.git/info/exclude
+
+mkdir -p .osc
+echo 'https://api.opensuse.org' >.osc/_apiurl
+basename "$(pwd)" >.osc/_package
+echo '1.0' >.osc/_osclib_version
+echo 'openSUSE:Factory' >.osc/_project
+echo "$(git remote get-url $(git remote|head -n1))#factory" >.osc/_scm